#!/usr/local/bin/php4
<?php include("../config.php"); include("../functions.php");


echo "<head><title>phpNotify: Admin Functions</title>".
"<meta http-equiv=\"expires\" content=\"Tue, 20 Aug 1996 00:00:00 GMT\">".
"</head><body>";


// create list information file, if non-existant
if(!is_file($listfile)){
	if($nocreate){
		echo "<p align=center>Unable to create list information file.";
		finish();
	}
	if($fp=fopen($listfile, "w")){
		fclose($fp);
		chmod($listfile, $filemode);
		echo "<p align=center>Created list information file.";
	} else {
		echo "<p align=center>Unable to create list information file.";
		finish();
	}
}


// create list directory, if non-existant
if(!is_dir($listdir)){
	if($nocreate){
		echo "<p align=center>Unable to create list directory.";
		finish();
	}
	if(mkdir($listdir, $dirmode)){
		echo "<p align=center>Created list directory.";
	} else {
		echo "<p align=center>Unable to create list directory.";
		finish();
	}
}


// create unconfirmed file, if non-existant
if(!is_file($unconfirmedfile)){
	if($nocreate){
		echo "<p align=center>Unable to create unconfirmed address file.";
		finish();
	}
	if($fp=fopen("$unconfirmedfile", "w")){
		fclose($fp);
		chmod($unconfirmedfile, $filemode);
		echo "<p align=center>Created unconfirmed address file.";
	} else {
		echo "<p align=center>Unable to create unconfirmed address file.";
		finish();
	}
}


if(empty($listname)){
	echo "<p align=center><b>phpNotify: admin functions</b>";

	$d = dir("$listdir");
	while(($file=$d->read()) != "") if(($file != ".") && ($file != "..")) $lists[] = $file;
	$d->close();

	if(!empty($lists)){
	echo "<br><hr><p align=center>Select a list to notify";
	echo "<form align=center method=\"POST\" action=\"\">".
	"<h4 align=center>".
	"<table border=1 align=center><tr><td>";
	for(reset($lists); $file = current($lists); next($lists)){
		echo "<input type=\"radio\" name=\"listname\" value=\"$file\">&nbsp;$file&nbsp;&nbsp;<br>";
	}
	echo "</td></tr></table><p><input type=\"submit\" value=\"Notify\"></h4></form>";
	}

	echo "<br><hr><p align=center>Create new list";
	echo "<form align=center method=\"POST\" action=\"\">".
	"<h4 align=center>".
	"URL: <input type=\"text\" name=\"url\" size=\"35\" value=\"http://\"><br>".
	"List Name: <input type=\"text\" name=\"listname\" size=\"25\"><br>".	
	"<input type=\"submit\" value=\"Create\"></h4></form>";


} else if(!empty($url)){
	if(is_file("$listdir$listname")){
		echo "<p align=center>List <b>$listname</b> already exists.";
	} else {
		$s = searchfile($listfile, "NAME: $listname");
		if($s == -1) echo "<p align=center>Unable to create <b>$listname</b> list.";
		else if(!$s){
			if($fp=fopen("$listdir$listname", "w")){
				// creating empty list
				fclose($fp);
				chmod("$listdir$listname", $filemode);

				if($fp=fopen("$listfile", "a")){
					fputs($fp, "NAME: $listname\n$url\n");
					fclose($fp);
					echo "<p align=center>List <b>$listname</b> has been created.";
				} else {
					// failed to add entry, remove list
					unlink("$listdir$listname");
					echo "<p align=center>Unable to create <b>$listname</b> list.";
				}
			} else echo "<p align=center>Unable to create <b>$listname</b> list.";
		} else echo "<p align=center>List <b>$listname</b> already exists.";
	}


} else if(empty($contents)){
	echo "<p align=center>Enter notification message for <b>$listname</b> below<br><hr>";

	echo "<form align=center method=\"POST\" action=\"\">".
	"<h4 align=center>".
	"<input type=hidden name=\"listname\" value=\"$listname\">".
	"<textarea name=\"contents\" cols=\"60\" rows=\"20\"></textarea>".
	"<p><input type=\"submit\" value=\"Send\">".
	"</h4></form>";


} else {
	$url = "";
	if($fp=fopen($listfile, "r")){
		$phrase2 = chop(fgets($fp, 1024));
		while(!empty($phrase2)){
			if("$phrase2" == "NAME: $listname"){
				$url = "| ". chop(fgets($fp, 1024)) ." has changed\n";
				break;
			} else $phrase2 = chop(fgets($fp, 1024));
		}
		fclose($fp);
	}

	$line = "-------------------------------------------------------";
	$contents = "$url$line\n\n$contents\n\n".
	"$line\n| phpNotify Copyright 2001 Brand Huntsman\n".
	"| http://www.qzx.com/phpNotify";

	if($fp=fopen("$listdir$listname", "r")){
		$email = chop(fgets($fp, 1024));
		$x = 0;
		while(!empty($email)){
			mail("$email", "phpNotify: $listname update", "$contents", "Reply-To: $owner");
			$email = chop(fgets($fp, 1024));
			$x++;
		}
		echo "<p align=center>Sent message to <b>$x</b> address(es) on <b>$listname</b>.";
		fclose($fp);
	} else {
		echo "<p align=center>Unable to open list <b>$listname</b>.";
	}
}


finish();
