<?php

/*
	if your server supports su-exec then it will run the scripts
	as the owner of the file, you. the files will be created as
	0600 and the directory as 0700. you will have read/write access.
	you do not need to create these, the admin script will do this
	for you.
*/
// $filemode = 0600;
// $dirmode = 0700;


/*
	if your server does not support su-exec but you have root access
	then chown or chgrp the phpNotify/ directory to the web server
	user, usually user="nobody". run the admin script so it will create
	the files and directory. then chown or chgrp the files and directory
	so you have access to them. you will also need to chown or chgrp each
	list, in the list directory, after they are created. 
	PHP might not give the group write permission, for directories, so you
	will have to change it yourself if this happens.
*/
$filemode = 0660;
$dirmode = 0770;

/*
	if your server does not support su-exec then you need to manually
	create the files and the directory. comment out the settings above
	and uncomment the setting below. you will need to chmod the files
	to 666 and the directory to 777. you will also need to rename them
	because now they can be read by anyone on the internet and you don't
	want your users email addresses to be public information, or maybe
	you do. :)
	select good names that no one would ever guess.
*/
// $nocreate = 1;


// directory with the lists
$listdir = "$DOCUMENT_ROOT/phpNotify/_lists/";

// file with information for all lists
$listfile = "$DOCUMENT_ROOT/phpNotify/_listinfo";

// file with unconfirmed addresses
$unconfirmedfile = "$DOCUMENT_ROOT/phpNotify/_unconfirmed";


// owner of list, change this to YOUR email address
$owner = "brand@qzx.com";


// time before redirecting to the previous page
$redirect_timeout = 15;


// days to wait before deleting unconfirmed addresses
$unconfirmed_timeout = 3;
